Package org.ggf.drmaa

## Class ResumeInconsistentStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.ggf.drmaa.DrmaaException
      - - org.ggf.drmaa.InconsistentStateException
        - - org.ggf.drmaa.ResumeInconsistentStateException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ResumeInconsistentStateException
      extends InconsistentStateException

  The job is not in a state where it can be resumed.
  Since:
    0.5
  Version:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResumeInconsistentStateException()` | Creates a new instance of `ResumeInconsistentStateException` without detail message.
    `ResumeInconsistentStateException​(java.lang.String msg)` | Constructs an instance of `ResumeInconsistentStateException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResumeInconsistentStateException

          public ResumeInconsistentStateException()

      Creates a new instance of `ResumeInconsistentStateException` without detail message.

    - #### ResumeInconsistentStateException

          public ResumeInconsistentStateException​(java.lang.String msg)

      Constructs an instance of `ResumeInconsistentStateException` with the specified detail message.
      Parameters:
        `msg` - the detail message.